$(function () {
    $("form").validate();
    $.validator.addMethod("pathRequired", function (value, element) {
        if ($("#isenabled").attr("checked") === "checked" && value.length < 1)
            return false;
        return true;
    }, FormResources.FieldRequired);
    if ($("#asterisk_path").length > 0)
        $("#asterisk_path").rules("add", { pathRequired: true })


    $("form").on("click", "#isenabled", function () {
        if ($("#isenabled").attr("checked") === "checked") {
            $("#help").fadeIn('fast');
            $("#settingseditor").fadeIn("fast");
            $("#aroute").fadeIn('fast');
        } else {
            $("#help").fadeOut('fast');
            $("#settingseditor").fadeOut('fast');
            $("#aroute").fadeOut('fast');
        }
    });

    if ($("#isenabled").attr("checked") === "checked") {
        $("#help").removeClass("hidden");
        $("#settingseditor").removeClass("hidden");
    }
});
